Name: H5Pget_sizes
Signature:
  herr_t `H5Pget_sizes`(hid_t `plist`, size_t * `sizeof_addr`, size_t * `sizeof_size` )
Purpose:
  Retrieves the size of the offsets and lengths used in an HDF5 file.
Description:
  `H5Pget_sizes` retrieves the size of the offsets and lengths used in an HDF5 file. This function is only valid for file creation property lists.
Parameters:

hid_t `plist` | IN: Identifier of property list to query.
size_t * `size` | OUT: Pointer to location to return offset size in bytes.
size_t * `size` | OUT: Pointer to location to return length size in bytes.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_sizes_f

      SUBROUTINE h5pget_sizes_f(prp_id, sizeof_addr, sizeof_size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: prp_id  ! Property list identifier
        INTEGER(SIZE_T), DIMENSION(:), INTENT(OUT) :: sizeof_addr
                                              ! Size of an object address in bytes
        INTEGER(SIZE_T), DIMENSION(:), INTENT(OUT) :: sizeof_size
                                              ! Size of an object in bytes
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_sizes_f